#!/bin/bash

# source path: input data
SOURCE_PATH='/mnt/CEPH_PROJECTS/SCENARIO/CLIMATEDATA/'

# target path: remapped and cropped target data
TARGET_PATH='/mnt/CEPH_PROJECTS/FACT_CLIMAX/CORDEX'

# target grid
TARGET_GRID='/mnt/CEPH_PROJECTS/FACT_CLIMAX/OBS_DATA/grid_1km_laea'

# path to inventories
INVENTORY_PATH='/mnt/CEPH_PROJECTS/FACT_CLIMAX/CORDEX/Inventory/'

# EuroCordex variables: tasmin, tasmax and pr
VARIABLES=('tasmin' 'tasmax' 'pr')

# preprocess EuroCordex simulations: remap to target grid and resample
for var in ${VARIABLES[@]}:
    # inventory of selected EuroCordex simulations
    inventory = $INVENTORY_PATH + $var + '/$var/$var_inventory_selection.csv'
    echo $inventory

# preprocess
# time python climax/main/preprocess.py $TARGET_GRID $SOURCE_PATH $TARGET_PATH -f
